'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: m_003_.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:27 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : thorsten.bosbach@sun.com
'*
'* short description :
'*
'\*****************************************************************

sub M_003_
   printlog Chr(13)+"--  File_View  m_003_ --"

   Call tViewZoom
   Call tViewUpdate
   Call tViewAutomaticRepaint
   Call tViewBars
   ' ^ View->Status bar
   Call tViewEditToolbars 'wrn:1
   Call tViewOperators
   Call tViewEntireDesktop
end sub

testcase tViewZoom
'/// open application ///'
   Call hNewDocument
   '/// type something into the document ///'
   Call SchreibenInMathdok "What's the matter?"
   sleep 2
   UseBindings
  '/// View -> Zoom ///'
   ViewZoom
   Kontext "Massstab"
      DialogTest ( Massstab )
      '/// check checkbox 'Entire Page' ///'
      GanzeSeite.check
      '/// check checkbox 'Page Width' ///'
      Seitenbreite.check
      '/// check checkbox 'Optmal' ///'
      Optimal.check
      '/// check checkbox '200%' ///'
      Vergroesserung200.check
      '/// check checkbox '150%' ///'
      Vergroesserung150.check
      '/// check checkbox '100%' ///'
      Vergroesserung100.check
      '/// check checkbox '75%' ///'
      Vergroesserung75.check
      '/// check checkbox '50%' ///'
      Vergroesserung50.check
      '/// check checkbox 'Variable' ///'
      VergroesserungStufenlos.check
      '/// click button MORE on 'Variable' ///'
      Stufenlos.more
   '/// cancel dialog 'Zoom' ///'
   Massstab.Cancel
  '///View -> Zoom In ///
   ViewZoomIn
   sleep (2)
  '///View -> Zoom Out ///
   ViewZoomAll
   sleep (2)
  '///View -> Show All ///
   ViewShowAll
   sleep (2)
   '/// close application ///'
   Call  hCloseDocument
endcase

testcase tViewUpdate
'/// open application ///'
   Call hNewDocument
   '/// type something into the document ///'
   Call SchreibenInMathdok "a sup b"
   '/// Edit->Paste ///'
   EditPaste
   '/// View->Update ///'
   ViewUpdate
   sleep (2)
   '/// close application ///'
   Call  hCloseDocument
endcase

testcase tViewAutomaticRepaint
'/// open application ///'
   Call hNewDocument
   '/// type something into the document ///'
   Call SchreibenInMathdok "a sup b"
   '/// View->AutoUpdate Display ///'
   ViewAutoUpdateDisplay
   '/// Edit->Paste ///'
   EditPaste
   sleep (2)
   '/// View->AutoUpdate Display ///'
   ViewAutoUpdateDisplay
   sleep (2)
   '/// close application ///'
   Call  hCloseDocument
endcase

testcase tViewBars
'/// open application ///'
   Call hNewDocument
   '/// type something into the document ///'
   SchreibenInMathdok "a sup b"
   '/// View->Toolbars->Function bar ///'
   ViewToolbarsFunctionbar
   sleep (2)
   '/// View->Toolbars->Function bar ///'
   ViewToolbarsFunctionbar
   sleep (1)
   '/// View->Toolbars->Main Toolbar ///'
   ViewToolbarsMainToolbar
   sleep (2)
   '/// View->Toolbars->Main Toolbar ///'
   ViewToolbarsMainToolbar
   sleep (1)
   '/// View->Toolbars->Hyperlink bar ///'
   ViewToolbarsHyperlinkbar
   sleep (2)
   '/// View->Toolbars->Hyperlink bar ///'
   ViewToolbarsHyperlinkbar
   sleep (1)
   '/// View->Status bar ///'
   ViewToolbarsStatusbar
   sleep (1)
   '/// View->Status bar ///'
   ViewToolbarsStatusbar
   sleep (1)
   '/// close application ///'
   Call  hCloseDocument
endcase

testcase tViewEditToolbars
'/// open application ///'
' kinda same to tools->customize->toolbars
   Call  hNewDocument
   sleep 1
'/// View->Toolbars->Customize ///'
   ViewToolbarsCustomize
      Kontext "CustomizeToolbars"
      sleep 1
      if CustomizeToolbars.exists (5) then
         Call DialogTest ( CustomizeToolbars)
         Sleep 2
   '/// click button 'Default' ///'
         Default.Click
   '/// in 'Available Buttons' Expand the 1st fold from the top, select the 2nd entry from the top ///'
         AvailableButtons.TypeKeys "<home>+<down>"
   '/// click button 'Add' ///'
         Add.click
         ' 1st try for a more reliable function  to add buttons
         kontext
         if active.exists(2) then
            printlog "Active about 'Function already in toolbar :-(', say OK: '" + active.getText + "'"
            active.ok
            Kontext "CustomizeToolbars"
            AvailableButtons.TypeKeys "<down>"
            Add.click
         endif
         Kontext "CustomizeToolbars"
   '/// in 'Buttons in Use' select the firste entry from the top ///'
         ButtonsInUse.TypeKeys "<home><down>"
   '/// click button 'MoveUp' ///'
         MoveUp.click
   '/// click button 'Icons' ///'
            Icons.Click
               Kontext "SchaltflaecheBearbeiten"
               sleep 1
               Call DialogTest ( SchaltflaecheBearbeiten )
   '/// cancel dialog 'Customize Buttons' ///'
               SchaltflaecheBearbeiten.Cancel
         kontext "CustomizeToolbars"
   '/// click button 'MoveDown' ///'
         MoveDown.click
   '/// click button 'Remove' ///'
         Remove.click
   '/// in 'Buttons in Use' just use the <down> cursor key ///'
         Toolbars.TypeKeys "<down>"
   '/// click button 'Apply' ///'
         Apply.click
   '/// click button 'Default' ///'
            Default.Click
            sleep 1
            kontext "CustomizeToolbars"
'/// close dialog 'Customize Toolbars' ///'
         CustomizeToolbars.Close
         sleep 1
   else
      warnlog "ViewToolbarsCustomize - dialog didn't came up :-("
   endif
'/// close application ///'
   Call hCloseDocument
endcase

testcase tViewOperators
'/// open application ///'
   Call hNewDocument
   '/// type something into the document ///'
   Call SchreibenInMathdok "a over b"
   '/// View->Selection ///'
   ViewSelection
   sleep (2)
   '/// View->Selection ///'
   ViewSelection
   Kontext "OperatorenMath"
   if (NOT OperatorenMath.Exists (2)) then 
      ViewSelection
      printlog "View Selection wasn't visible :-( now is!"
   endif
   Call DialogTest ( OperatorenMath )
   '/// close application ///'
   Call hCloseDocument
endcase

testcase tViewEntireDesktop
'/// open application ///'
   Call hNewDocument
   '/// type something into the document ///'
   Call SchreibenInMathdok "(a over ba) over (a + 1/2 * b )"
   '/// View->Full Screen ///'
   ViewFullScreen
   sleep 2
   '/// View->Full Screen ///'
   ViewFullScreen
   sleep 1
   '/// close application ///'
   Call  hCloseDocument
endcase


