'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: sxd_05.inc,v $
'*
'*  $Revision: 1.1.1.1 $
'*
'*  last change: $Author: ms $ $Date: 2003/03/18 17:53:44 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************************
'*
'* owner : joerg.sievers@sun.com
'*
'* short description : XML Draw Include File
'*
'\***********************************************************************************
   Dim Isliste(250) as string
   Dim OutputPath as string

sub sxd_05

   printlog "------------------- sxd_05.inc ---------------------"

   Call ExitRestartTheOffice
   call t18634
   call t18635
   call t18636
   call t19542_19544
   call t19545_19547
   call t19548_19553
   call t19554_19557
   call t19558_19560

end sub

'-------------------------------------------------------------------------

testcase t18634
  printlog "+- Draw: 18634.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\18634.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\18634.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\18634.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\18634\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18634\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18634\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18634\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\18634.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t18635
  printlog "+- Draw: 18635.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\18635.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\18635.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\18635.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\18635\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18635\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18635\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18635\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\18635.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t18636
  printlog "+- Draw: 18636.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\18636.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\18636.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\18636.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\18636\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18636\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18636\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\18636\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\18636.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t19542_19544
  printlog "+- Draw: 19542-19544.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\19542-19544.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\19542-19544.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t19545_19547
  printlog "+- Draw: 19545-19547.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\19545-19547.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\19545-19547.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t19548_19553
  printlog "+- Draw: 19548-19553.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\19548-19553.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\19548-19553.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t19554_19557
  printlog "+- Draw: 19554-19557.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\19554-19557.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\19554-19557.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

testcase t19558_19560
  printlog "+- Draw: 19558-19560.sda"
  call hDateiOeffnen (gTesttoolPath & ConvertPath("xml\update\input\draw\19558-19560.sda"))
  if hSpeichernUnterMitFilterKill (gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560.sxd") , gDrawFilter) = TRUE then
    call hCloseDocument
    sleep(2)
    UnpackStorage( gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560.sxd") , gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560\") )
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560\styles.xml")) = FALSE then
      warnlog "XML-file 'styles.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560\meta.xml")) = FALSE then
      warnlog "XML-file 'meta.xml' not well formed!"
    end if
    if XMLWellformed (gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560\content.xml")) = FALSE then
      warnlog "XML-file 'content.xml' not well formed!"
     else
      call hDateiOeffnen (gOfficePath & ConvertPath("user\work\xml\draw\update\19558-19560.sxd")
      call hCloseDocument
    end if
   else
    warnlog "It was not possible to save the document as XML!"
  end if
endcase

'-------------------------------------------------------------------------

